## Index

### Variables

- FPGrowth

### Functions

- assocationRuleLearning
- getTransactions

### Object literals

- calc

## Variables

### FPGrowth

FPGrowth: FPGrowth

- Defined in calc.ts:2

## Functions

### assocationRuleLearning

- assocationRuleLearning(transactions?: never[], options: any): Promise<unknown>

- - Defined in calc.ts:63

  returns association rule learning results

  see

    https://github.com/alexisfacques/Node-FPGrowth

  #### Parameters

  - ##### Default value transactions: never[] = []

    sparse matrix of transactions

  - ##### options: any

  #### Returns Promise<unknown>

  Returns the result from Node-FPGrowth or a summary of support and strong associations

### getTransactions

- getTransactions(data: any[], options: any): { transactions: any[][]; values: Set<unknown>; valuesMap: Map<any, any> }

- - Defined in calc.ts:16

  Formats an array of transactions into a sparse matrix like format for Apriori/Eclat

  see

    https://github.com/alexisfacques/Node-FPGrowth

  #### Parameters

  - ##### data: any[]

    CSV data of transactions

  - ##### options: any

  #### Returns { transactions: any[][]; values: Set<unknown>; valuesMap: Map<any, any> }

  {values - unique list of all values, valuesMap - map of values and labels, transactions - formatted sparse array}

  - ##### transactions: any[][]

  - ##### values: Set<unknown>

  - ##### valuesMap: Map<any, any>

## Object literals

### Const calc

calc: object

- Defined in calc.ts:98

### assocationRuleLearning

assocationRuleLearning: assocationRuleLearning

- Defined in calc.ts:100

### getTransactions

getTransactions: getTransactions

- Defined in calc.ts:99